import { useEffect, useState } from 'react'
import { rpc } from 'rpc'

function App() {
    const [data, setData] = useState<unknown>('')

    useEffect(() => {
        rpc.callClient('cefReady')
        rpc.register('customCefEvent', args => setData(args))
    }, [])

    return (
        <div style={{ width: '100%', color: 'white', textAlign: 'center' }}>
            <h1>Hello World!</h1>
            <h2>{data!.toString()}</h2>
        </div>
    )
}

export default App
