import { rpc, client } from 'rpc'

client.browser = mp.browsers.new('package://cef/index.html')

rpc.register('cefReady', async () => {
    mp.console.logInfo('cef to client')

    rpc.callServer('customServerEvent', ['client to server'])
})

rpc.register('customClientEvent', async data => {
    mp.console.logInfo(JSON.stringify(data))

    rpc.callBrowser('customCefEvent', ['client to cef'])
})
